GIT-UBUNTU-SUBMIT(1)

NAME
git-ubuntu-submit - Submit local changes as a Launchpad merge proposal

SYNOPSIS
git ubuntu submit [--target-branch <target_branch>] [--reviewer <reviewer>] [-d | --directory <directory>] [-f | --force] [--target-user <user>] [--branch <branch>] [--no-push] [-l | --lp-user <lp_user>]

DESCRIPTION
This command and git-ubuntu-review(1) are in some ways symmetrical. "submit" proposes local changes for external review and "review" reviews them. In many ways, this is meant to mirror the GitHub model for Pull Requests.

OPTIONS

--target-branch <target_branch>
    The branch in <user>'s repository to target. If not specified, the nearest remote-tracking branch to <branch> is used.

--reviewer <reviewer>
    The reviewer on Launchpad for the Merge Proposal, specified by the Launchpad user (or team) name. This option can be specified multiple times. If not specified, the canonical-server team is used.

-d <directory>, --directory <directory>
    The local directory to submit from. If not specified, the current directory is used.

-f, --force
    Overwrite any existing tags or branches, as necessary.

--target-user <user>
    The Launchpad user (or team) name owning the repository to propose the local changes into. By default this is the "git-ubuntu-import" Launchpad team, which owns the imported repositories.

--branch <branch>
    What local branch to submit for merging into <user>'s <target_branch>. If not specified, the branch pointed to by HEAD is used.

--no-push
    Do not push the <branch> before creating the Merge Proposal.

-l <lp_user>, --lp-user <lp_user>
    The Launchpad user to authenticate as for pushing changes.

EXIT STATUS
git ubuntu submit exits with status 0 if the command completes successfully. git ubuntu submit exits with nonzero exit status on errors.

REPORTING BUGS
Report bugs at https://bugs.launchpad.net/git-ubuntu .

SEE ALSO
git-ubuntu-review(1)

GIT-UBUNTU
Part of the git-ubuntu(1) suite